<?php

namespace App\DAO\Order;

class QueryOrderTranslator {

	public static function paciente(): array {

		return [ 
				'nome' => [ 
						'table' => 'pessoa_fisica'
				],
				'cpf' => [ 
						'table' => 'pessoa_fisica'
				]
		];

	}

	public static function centro_custo(): array {

		return [ 
				'descricao' => [ 
						'table' => 'centro_custo'
				]
		];

	}

	public static function classificacao_risco(): array {

		return [ 
				'descricao' => [ 
						'table' => 'classificacao_risco'
				]
		];

	}

	public static function forma_pagamento(): array {

		return [ 
				'descricao' => [ 
						'table' => 'forma_pagamento'
				]
		];

	}

	public static function setor(): array {

		return [ 
				'descricao' => [ 
						'table' => 'setor'
				]
		];

	}

	public static function assistente(): array {

		return [ 
				'nome' => [ 
						'table' => 'pessoa_fisica'
				],
				'cpf' => [ 
						'table' => 'pessoa_fisica'
				]
		];

	}

	public static function recepcionista(): array {

		return [ 
				'nome' => [ 
						'table' => 'pessoa_fisica'
				],
				'cpf' => [ 
						'table' => 'pessoa_fisica'
				]
		];

	}

	public static function administrativo(): array {

		return [ 
				'nome' => [ 
						'table' => 'pessoa_fisica'
				],
				'cpf' => [ 
						'table' => 'pessoa_fisica'
				]
		];

	}

	public static function pet(): array {

		return [ 
				'sexo' => [ 
						'table' => 'pet'
				],
				'data_nascimento' => [ 
						'table' => 'pet'
				],
				'numero_chip' => [ 
						'table' => 'pet'
				],
				'cliente' => [ 
						'table' => 'pet_cliente'
				],
				'rga_pedigree' => [ 
						'table' => 'pet'
				]
		];

	}

	public static function medico(): array {

		return [ 
				'nome' => [ 
						'table' => 'pessoa_fisica'
				],
				'cpf' => [ 
						'table' => 'pessoa_fisica'
				],
				'id_unidade' => [ 
						'table' => 'unidade'
				]
		];

	}

	public static function procedimento(): array {

		return [ 
				'descricao' => [ 
						'table' => 'procedimento'
				]
		];

	}

	public static function convenio_procedimento_valor(): array {

		return [ ];

	}

	public static function formulario(): array {

		return [ 
				'titulo' => [ 
						'table' => 'formulario'
				]
		];

	}

	public static function galeria(): array {

		return [ 
				'id_paciente' => [ 
						'table' => 'galeria'
				],
				'id_medico' => [ 
						'table' => 'galeria'
				]
		];

	}

	public static function exame(): array {
		return [ 
				'nome' => [ 
						'table' => 'exame'
				]
		];
	}

    public static function internacao(): array {
        return [
            'nome' => [
                'table' => 'pf'
            ]
        ];
    }

    public static function fila_especialidade(): array {
        return [
            'id' => [
                'table' => 'agenda_especialidade'
            ]
        ];
    }

    public static function fila_cliente(): array {
        return [
            'id' => [
                'table' => 'agenda_especialidade'
            ]
        ];
    }

    public static function especialidade_procedimento(): array {

        return [
            'id_especialidade' => [
                'table' => 'especialidade_procedimento'
            ]
        ];

    }


	public static function tipo_extorno(): array {

		return [ 
				'descricao' => [ 
						'table' => 'tipo_extorno'
				]
		];

	}

	public static function tipo_procedimento(): array {

		return [ 
				'descricao' => [ 
						'table' => 'tipo_procedimento'
				]
		];

	}

	public static function especialidade(): array {

		return [ 
				'descricao' => [ 
						'table' => 'especialidade'
				]
		];

	}

	public static function especie(): array {

		return [ 
				'nome' => [ 
						'table' => 'especie'
				]
		];

	}

	public static function dashboard(): array {

		return [ 
				'hora_inicio' => [ 
						'table' => 'agenda'
				]
		];

	}

	public static function raca(): array {

		return [ 
				'nome' => [ 
						'table' => 'raca'
				]
		];

	}

	public static function arquivo(): array {

		return [ 
				'id_paciente' => [ 
						'table' => 'arquivo'
				],
				'id_medico' => [ 
						'table' => 'arquivo'
				],
				'descricao' => [ 
						'table' => 'arquivo'
				]
		];

	}

	public static function arquivoExame(): array {

		return [ 
				'id_paciente' => [ 
						'table' => 'arquivo_exame'
				],
				'id_medico' => [ 
						'table' => 'arquivo_exame'
				],
				'descricao' => [ 
						'table' => 'arquivo_exame'
				]
		];

	}

	public static function anexos(): array {

		return [ 
				'id_cliente' => [ 
						'table' => 'documentos_anexados'
				],
				'id_pet' => [ 
						'table' => 'documentos_anexados'
				],
				'descricao' => [ 
						'table' => 'documentos_anexados'
				]
		];

	}

	public static function gerados(): array {

		return [ 
				'id_cliente' => [ 
						'table' => 'documentos_gerados'
				],
				'id_pet' => [ 
						'table' => 'documentos_gerados'
				],
				'descricao' => [ 
						'table' => 'documentos_gerados'
				]
		];

	}

	public static function galeria_classificacao(): array {

		return [ 
				'paciente' => [ 
						'table' => 'galeria'
				]
		];

	}

	public static function consulta(): array {

		return [ 
				'nome' => [ 
						'table' => 'pessoa_fisica'
				]
		];

	}

	public static function medicamento(): array {

		return [ 
				'nome' => [ 
						'table' => 'medicamento'
				],
				'quantidade' => [ 
						'table' => 'medicamento'
				],
				'posologia' => [ 
						'table' => 'medicamento'
				],
				'id_clinica' => [ 
						'table' => 'medicamento'
				]
		];

	}

	public static function unidade(): array {

		return [ 
				'cnpj' => [ 
						'table' => 'pessoa_juridica'
				],
				'nome_fantasia' => [ 
						'table' => 'pessoa_juridica'
				]
		];

	}

	public static function perfil(): array {

		return [ 
				'descricao' => [ 
						'table' => 'perfil'
				]
		];

	}

	public static function preagendamento(): array {

		return [ 
				'cliente_nome' => [ 
						'table' => 'preagendamento_especialidade'
				]
		];

	}

    public static function agenda_date(): array {
        return [];
    }

}

